'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const CompoundInput = _configContext$inputC.CompoundInput,
        TextInput = _configContext$inputC.TextInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        AutocompleteInput = _configContext$inputC.AutocompleteInput;
  const config = configContext.configHelpers.configKey;


  return {
    contentWorksList: {
      [config]: {
        view: {
          type: CompoundInput
        }
      },
      contentWorksGroup: {
        [config]: {
          messages: (0, _reactIntl.defineMessages)({
            name: {
              'id': 'field.ext.contentWorks.contentWorksGroup.name',
              'defaultMessage': 'Content - Works'
            }
          }),
          repeating: true,
          view: {
            type: CompoundInput,
            props: {
              tabular: true
            }
          }
        },
        contentWork: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.contentWorks.contentWork.name',
                'defaultMessage': 'Work'
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'work/local,work/shared,work/cona'
              }
            }
          }
        },
        contentWorkType: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.contentWorks.contentWorkType.name',
                'defaultMessage': 'Type'
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'worktype'
              }
            }
          }
        },
        contentWorkNote: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              fullName: {
                'id': 'field.ext.contentWorks.contentWorkNote.fullName',
                'defaultMessage': 'Content work note'
              },
              name: {
                'id': 'field.ext.contentWorks.contentWorkNote.name',
                'defaultMessage': 'Note'
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};