'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const AutocompleteInput = _configContext$inputC.AutocompleteInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        TextInput = _configContext$inputC.TextInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;


  return {
    document: {
      'ns2:collectionobjects_common': {
        objectProductionPlaceGroupList: {
          objectProductionPlaceGroup: {
            objectProductionPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local'
                  }
                }
              }
            }
          }
        },
        contentActivities: {
          contentActivity: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/activity'
                }
              }
            }
          }
        },
        contentPeoples: {
          contentPeople: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/ethculture'
                }
              }
            }
          }
        },
        contentPlaces: {
          contentPlace: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'place/local'
                }
              }
            }
          }
        },
        assocActivityGroupList: {
          assocActivityGroup: {
            assocActivity: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/activity'
                  }
                }
              }
            }
          }
        },
        assocPeopleGroupList: {
          assocPeopleGroup: {
            assocPeople: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/ethculture'
                  }
                }
              }
            }
          }
        },
        assocPlaceGroupList: {
          assocPlaceGroup: {
            assocPlace: {
              [config]: {
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'place/local'
                  }
                }
              }
            }
          }
        },
        assocEventPeoples: {
          assocEventPeople: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'concept/ethculture'
                }
              }
            }
          }
        },
        assocEventPlaces: {
          assocEventPlace: {
            [config]: {
              view: {
                type: AutocompleteInput,
                props: {
                  source: 'place/local'
                }
              }
            }
          }
        },
        ownershipPlace: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.collectionobjects_common.ownershipPlace.name',
                'defaultMessage': 'Ownership place'
              }
            }),
            view: {
              type: AutocompleteInput,
              props: {
                source: 'place/local'
              }
            }
          }
        }
      },
      'ns2:collectionobjects_variablemedia': Object.assign({
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/collectionobject/domain/collectionobject'
          }
        }
      }, extensions.contentWorks.fields, extensions.technicalSpecs.fields),
      'ns2:collectionobjects_fineart': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/collectionobject/domain/collectionobject'
          }
        },
        catalogLevel: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.fineart.catalogLevel.name',
                'defaultMessage': 'Cataloging level'
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'cataloglevel'
              }
            }
          }
        },
        materialTechniqueDescription: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.fineart.materialTechniqueDescription.name',
                'defaultMessage': 'Material/Technique description'
              }
            }),
            view: {
              type: TextInput
            }
          }
        },
        creatorDescription: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.ext.fineart.creatorDescription.name',
                'defaultMessage': 'Creator description'
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};