'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$inputC = configContext.inputComponents;
  const CompoundInput = _configContext$inputC.CompoundInput,
        AutocompleteInput = _configContext$inputC.AutocompleteInput,
        StructuredDateInput = _configContext$inputC.StructuredDateInput,
        TermPickerInput = _configContext$inputC.TermPickerInput,
        TextInput = _configContext$inputC.TextInput;
  const config = configContext.configHelpers.configKey;
  const extensions = configContext.config.extensions;


  return {
    document: {
      'ns2:concepts_common': {
        conceptRecordTypes: {
          conceptRecordType: {
            [config]: {
              view: {
                props: {
                  source: 'conceptrecordtype'
                }
              }
            }
          }
        }
      },
      'ns2:concepts_fineart': {
        [config]: {
          service: {
            ns: 'http://collectionspace.org/services/concept/domain/fineart'
          }
        },
        conceptRecordType: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.concepts_fineart.conceptRecordType.name',
                'defaultMessage': 'Concept record type'
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'conceptrecordtype'
              }
            }
          }
        },
        otherNameFlags: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.concepts_fineart.otherNameFlags.name',
                'defaultMessage': 'Other name flags'
              }
            }),
            view: {
              type: TermPickerInput,
              props: {
                source: 'othernameflags'
              }
            }
          }
        },
        conceptTermDateGroup: Object.assign({
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              fullName: {
                'id': 'field.concepts_fineart.conceptTermDateGroup.fullName',
                'defaultMessage': 'Concept term date'
              },
              name: {
                'id': 'field.concepts_fineart.conceptTermDateGroup.name',
                'defaultMessage': 'Term Date'
              }
            }),
            view: {
              type: StructuredDateInput
            }
          }
        }, extensions.structuredDate.fields),
        relatedConceptsGroupList: {
          [config]: {
            view: {
              type: CompoundInput
            }
          },
          relatedConceptsGroup: {
            [config]: {
              messages: (0, _reactIntl.defineMessages)({
                name: {
                  'id': 'field.concepts_fineart.relatedConceptsGroup.name',
                  'defaultMessage': 'Related concepts'
                }
              }),
              repeating: true,
              view: {
                type: CompoundInput,
                props: {
                  tabular: true
                }
              }
            },
            relatedConcept: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.concepts_fineart.relatedConcept.name',
                    'defaultMessage': 'Related concept'
                  }
                }),
                view: {
                  type: AutocompleteInput,
                  props: {
                    source: 'concept/associated'
                  }
                }
              }
            },
            conceptRelationType: {
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  name: {
                    'id': 'field.concepts_fineart.conceptRelationType.name',
                    'defaultMessage': 'Relationship type'
                  }
                }),
                view: {
                  type: TermPickerInput,
                  props: {
                    source: 'conceptrelationtype'
                  }
                }
              }
            },
            conceptRelationDateGroup: Object.assign({
              [config]: {
                messages: (0, _reactIntl.defineMessages)({
                  fullName: {
                    'id': 'field.concepts_fineart.conceptRelationDateGroup.fullName',
                    'defaultMessage': 'Concept related date'
                  },
                  name: {
                    'id': 'field.concepts_fineart.conceptRelationDateGroup.name',
                    'defaultMessage': 'Date'
                  }
                }),
                view: {
                  type: StructuredDateInput
                }
              }
            }, extensions.structuredDate.fields)
          }
        },
        conceptRemarks: {
          [config]: {
            messages: (0, _reactIntl.defineMessages)({
              name: {
                'id': 'field.concepts_fineart.conceptRemarks.name',
                'defaultMessage': 'Concept remarks'
              }
            }),
            view: {
              type: TextInput
            }
          }
        }
      }
    }
  };
};